<?php

namespace App\Container\CollectifData;

use App\Factory\CollectifData\CollectifDataFactory;
use App\Repository\CollectifData\CollectifDataRepositoryQuery;
use App\Repository\CollectifData\CollectifDataStore;

class CollectifDataContainer
{
    protected CollectifDataFactory $factory;
    protected CollectifDataRepositoryQuery $repositoryQuery;
    protected CollectifDataStore $store;

    public function __construct(
            CollectifDataFactory $factory,
            CollectifDataRepositoryQuery $repositoryQuery,
            CollectifDataStore $store
    ) {
        $this->factory = $factory;
        $this->repositoryQuery = $repositoryQuery;
        $this->store = $store;
    }

    public function getFactory(): CollectifDataFactory
    {
        return $this->factory;
    }

    public function getRepositoryQuery(): CollectifDataRepositoryQuery
    {
        return $this->repositoryQuery;
    }

    public function getStore(): CollectifDataStore
    {
        return $this->store;
    }

}