<?php

namespace App\Container\Site;

use App\Factory\Site\BlockFactory;
use App\Repository\CollectifData\CollectifDataRepositoryQuery;
use App\Repository\CollectifData\CollectifDataStore;

class BlockContainer
{
    protected BlockFactory $factory;
    protected CollectifDataRepositoryQuery $repositoryQuery;
    protected CollectifDataStore $store;

    public function __construct(
            BlockFactory $factory,
            CollectifDataRepositoryQuery $repositoryQuery,
            CollectifDataStore $store
    ) {
        $this->factory = $factory;
        $this->repositoryQuery = $repositoryQuery;
        $this->store = $store;
    }

    public function getFactory(): BlockFactory
    {
        return $this->factory;
    }

    public function getRepositoryQuery(): CollectifDataRepositoryQuery
    {
        return $this->repositoryQuery;
    }

    public function getStore(): CollectifDataStore
    {
        return $this->store;
    }

}